- expanded = integration_expanded?('mailgun_')
%section.settings.as-mailgun.no-animate#js-mailgun-settings{ class: ('expanded' if expanded) }
  .settings-header
    %h4
      = _('Mailgun')
    = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
      = expanded ? _('Collapse') : _('Expand')
    %p
      = _('Configure the %{link} integration.').html_safe % { link: link_to(_('Mailgun events'), 'https://documentation.mailgun.com/en/latest/user_manual.html#webhooks', target: '_blank', rel: 'noopener noreferrer') }
  .settings-content
    = gitlab_ui_form_for @application_setting, url: general_admin_application_settings_path(anchor: 'js-mailgun-settings'), html: { class: 'fieldset-form', id: 'mailgun-settings' } do |f|
      = form_errors(@application_setting, pajamas_alert: true) if expanded

      %fieldset
        .form-group
          = f.gitlab_ui_checkbox_component :mailgun_events_enabled,
          _('Enable Mailgun event receiver')
        .form-group
          = f.label :mailgun_signing_key, _('Mailgun HTTP webhook signing key'), class: 'label-light'
          = f.text_field :mailgun_signing_key, class: 'form-control gl-form-input'

      = f.submit _('Save changes'), class: 'gl-button btn btn-confirm'
